#ifndef _melodie_h
#define _melodie_h

#include <stdlib.h>
#include <stdio.h>
#include "../motifs/motifs.h"

int courant;

int taille;

// Les trois fonctions suivantes servent au couplage avec la GUI.

void afficherListeMelodie();

void afficherListeMotifs();

void afficherMotifActuel();

void definirCourant(int i);

void ajouterMotifVirtuel(Motif* melodie[], int ind, Motif* m);

void definirMotifVirtuel(Motif* melodie[], int ind, Motif* m);

void supprimerMotifVirtuel(Motif* melodie[], int ind);

#endif
